package com.tzld.piaoquan.wecom.controller;


import com.tzld.piaoquan.wecom.common.base.CommonResponse;
import com.tzld.piaoquan.wecom.model.vo.MessageTextVo;
import com.tzld.piaoquan.wecom.service.MessageAttachmentService;
import com.tzld.piaoquan.wecom.service.MessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/wecom/message")
public class MessageController {

    @Autowired
    private MessageAttachmentService messageAttachmentService;

    @Autowired
    private MessageService messageService;

    //创建保底小程序
    @PostMapping("/miniprogram/guaranteed/create")
    public CommonResponse<Void> createGuaranteedMiniprogram(@RequestBody List<Long> videoIds){
        messageAttachmentService.createGuaranteedMiniprogram(videoIds);
        return CommonResponse.success();
    }

    //创建新text 有时限和无时限  新创建覆盖原text 未创建取默认保底
    @PostMapping("/text/create")
    public CommonResponse<Void> createMessageText(@RequestBody MessageTextVo messageTextVo){
        messageService.createMessageText(messageTextVo);
        return CommonResponse.success();
    }


}
